public static final class DescribeRulesRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
DescribeRulesRequest |
build() |
DescribeRulesRequest.Builder |
category(Integer category)
The content type of the sensitive data detection rule.
|
DescribeRulesRequest.Builder |
contentCategory(Integer contentCategory)
The type of the content in the sensitive data detection rule.
|
DescribeRulesRequest.Builder |
currentPage(Integer currentPage)
The page number of the page to return.
|
DescribeRulesRequest.Builder |
customType(Integer customType)
The type of the sensitive data detection rule.
|
DescribeRulesRequest.Builder |
featureType(Integer featureType)
This parameter is deprecated.
|
DescribeRulesRequest.Builder |
groupId(String groupId)
The parent group type of the rule.
|
DescribeRulesRequest.Builder |
keywordCompatible(Boolean keywordCompatible)
Specifies whether to allow earlier versions of request parameters to support keywords that are supported in later versions of request parameters.
|
DescribeRulesRequest.Builder |
lang(String lang)
The language of the content within the request and response.
|
DescribeRulesRequest.Builder |
matchType(Integer matchType)
The match type.
|
DescribeRulesRequest.Builder |
name(String name)
The name of the sensitive data detection rule.
|
DescribeRulesRequest.Builder |
pageSize(Integer pageSize)
The number of entries to return on each page.
|
DescribeRulesRequest.Builder |
productCode(Integer productCode)
The name of the service to which the data asset belongs.
|
DescribeRulesRequest.Builder |
productId(Long productId)
The ID of the service to which the sensitive data detection rule is applied.
|
DescribeRulesRequest.Builder |
riskLevelId(Long riskLevelId)
The sensitivity level of the sensitive data that hits the sensitive data detection rule.
|
DescribeRulesRequest.Builder |
ruleType(Integer ruleType)
The type of the sensitive data detection rule.
|
DescribeRulesRequest.Builder |
status(Integer status)
The status of the sensitive data detection rule.
|
DescribeRulesRequest.Builder |
supportForm(Integer supportForm)
The type of the data asset.
|
DescribeRulesRequest.Builder |
warnLevel(Integer warnLevel)
The severity level of the alert.
|
public DescribeRulesRequest.Builder category(Integer category)
* **0**: keyword * **2**: regular expression
public DescribeRulesRequest.Builder contentCategory(Integer contentCategory)
public DescribeRulesRequest.Builder currentPage(Integer currentPage)
public DescribeRulesRequest.Builder customType(Integer customType)
* **0**: built-in rule * **1**: custom rule
public DescribeRulesRequest.Builder featureType(Integer featureType)
public DescribeRulesRequest.Builder groupId(String groupId)
public DescribeRulesRequest.Builder keywordCompatible(Boolean keywordCompatible)
* **true**: yes * **false**: no > To specify keywords as the content type of the sensitive data detection rule, you can set the Category parameter to 0 for earlier versions of request parameters and set the Category parameter to 5 for later versions of request parameters. You can specify the KeywordCompatible parameter based on your business requirements.
public DescribeRulesRequest.Builder lang(String lang)
* **zh**: Chinese * **en**: English
public DescribeRulesRequest.Builder matchType(Integer matchType)
* 1: rule-based match * 2: dictionary-based match
public DescribeRulesRequest.Builder name(String name)
public DescribeRulesRequest.Builder pageSize(Integer pageSize)
public DescribeRulesRequest.Builder productCode(Integer productCode)
public DescribeRulesRequest.Builder productId(Long productId)
public DescribeRulesRequest.Builder riskLevelId(Long riskLevelId)
* **1**: N/A, which indicates that no sensitive data is detected. * **2**: S1, which indicates the low sensitivity level. * **3**: S2, which indicates the medium sensitivity level. * **4**: S3, which indicates the high sensitivity level. * **5**: S4, which indicates the highest sensitivity level.
public DescribeRulesRequest.Builder ruleType(Integer ruleType)
* **1**: sensitive data detection rule * **2**: audit rule * **3**: anomalous event detection rule * **99**: custom rule
public DescribeRulesRequest.Builder status(Integer status)
* **1**: enabled * **0**: disabled
public DescribeRulesRequest.Builder supportForm(Integer supportForm)
* **0**: all data assets * **1**: structured data asset * **2**: unstructured data asset > If you set the parameter to 1 or 2, rules that support all data assets and rules that support the queried data asset type are returned.
public DescribeRulesRequest.Builder warnLevel(Integer warnLevel)
* **1**: low * **2**: medium * **3**: high
public DescribeRulesRequest build()
Copyright © 2024. All rights reserved.